Skip to content

@hzoo hzoo released this Aug 28, 2018 · 21 commits to master since this release

v9.0.0

We've released v7: https://twitter.com/left_pad/status/1034204330352500736, so this just updates babel-eslint to use those versions internally. That in itself doesn't break anything but:

  • Babel now supports the new decorators proposal by default, so we need to switch between the new and the old proposal. This is a breaking change.

To enable the legacy decorators proposal users should add a specific parser option:

{
  parserOptions: {
    ecmaFeatures: {
      legacyDecorators: true
    }
  }
}
  • Babel removed the support for Node 4 , so I propagated that here.
Assets 2
You can’t perform that action at this time.